Subject: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Visuwesh <[email-masked]>
Date: Sat, 02 Nov 2024 23:01:37 +0530

[சனி நவம்பர் 02, 2024] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Sat, 02 Nov 2024 22:34:44 +0530
>> 
>> [சனி நவம்பர் 02, 2024] Eli Zaretskii wrote:
>> 
>> > Thanks, but this is a false alarm: the lgstring's glyphs don't have
>> > the [XOFF YOFF WADJUST] component.  So either my breakpoint condition
>> > is somehow wrong, or you mistyped it, or something else.
>> 
>> I don't think I mistyped the condition at least.  Here's what I typed:
>> 
>>     (gdb) break hbfont.c:598 if xoff == 0 && yoff == 0 && wadjust ==
>> metrics.width && LGLYPH_ADJUSTMENT(lglyph) != Qnil
>> 
>> >  What does GDB show if you type
>> >
>> >   (gdb) p LGLYPH_ADJUSTMENT(lglyph)
>> >   (gdb) p Qnil
>> 
>>     (gdb) p LGLYPH_ADJUSTMENT(lglyph)
>>     $3 = XIL(0)
>>     (gdb) p Qnil
>>     $4 = XIL(0)
>
> OK, but then why did the breakpoint break, when the condition is
> obviously false: LGLYPH_ADJUSTMENT(lglyph) == Qnil.
>
> What happens if you type this:
>
>   (gdb) p Qnil+0

    (gdb) p Qnil+0
    Attempt to take address of value not located in memory.